Trf_CreateOptions(3)

NAME
Trf_CreateOptions - Interface to procedures to create a container holding option values.

SYNOPSIS
#include <transform.h>

Trf_Options Trf_CreateOptions(ClientData clientData);

PARAMETERS

ClientData clientData
    Arbitrary information, as defined in Trf_TypeDefinition.clientData.

DESCRIPTION
It is the responsibility of the procedure to create and initialize a container to hold option values. An opaque handle to the new container has to be returned.

SEE ALSO
Trf_Init(3), Trf_SafeInit(3), Trf_IsInitialized(3), Trf_DeleteOptions(3), Trf_CheckOptions(3), Trf_SetOption(3), Trf_SetObjOption(3), Trf_QueryOptions(3), Trf_SeekQueryOptions(3), Trf_WriteProc(3), Trf_CreateCtrlBlock(3), Trf_DeleteCtrlBlock(3), Trf_TransformCharacter(3), Trf_TransformBuffer(3), Trf_FlushTransformation(3), Trf_ClearCtrlBlock(3), Trf_QueryMaxRead(3), Trf_Register(3), Trf_ConverterOptions(3), Trf_MDStart(3), Trf_MDUpdate(3), Trf_MDUpdateBuf(3), Trf_MDFinal(3), Trf_MDCheck(3), Trf_RegisterMessageDigest(3), Trf_LoadLibrary(3), Trf_XorBuffer(3), Trf_ShiftRegister(3), Trf_FlipRegisterShort(3), Trf_FlipRegisterLong(3), Trf_InitStubs(3)